using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Enums.Order
{
    public enum EVisitState
    {
        /// <summary>
        /// 待回访
        /// </summary>
        [Description("待回访")]
        WaitForVisit = 10,

        /// <summary>
        /// 回访中
        /// </summary>
        [Description("回访中")]
        Visiting = 20,

        /// <summary>
        /// 短信回访中
        /// 逻辑需求(Task_317) : 操作了短信回访的工单，在没有短信结果回复前，回访状态需从“待回访”更新为“短信回访中”
        /// </summary>
        [Description("短信回访中")]
        SMSVisiting = 21,

        /// <summary>
        /// 智能回访中
        /// </summary>
        [Description("智能回访中")]
        AiVisiting = 22,

        /// <summary>
        /// 智能回访待处理
        /// </summary>
        [Description("智能回访待处理")]
        AiVisitWaitForVisit = 23,

        /// <summary>
        /// 已回访
        /// </summary>
        [Description("已回访")]
        Visited = 30,

        /// <summary>
        /// 不满意待回访
        /// </summary>
        [Description("不满意待回访")]
        NoSatisfiedWaitForVisit =40,

        /// <summary>
        /// 短信不满意待回访
        /// 逻辑需求(Task_317) : 若短信回访结果为不满意，回访状态需从“短信回访中”更新为“短信不满意待回访”
        /// </summary>
        [Description("短信不满意待访")]
        SMSUnsatisfied = 41,

        /// <summary>
        /// 失效
        /// </summary>
        [Description("失效")]
        None = 50,
    }

    public enum EJudgeState
    {
        /// <summary>
        /// 评判中
        /// </summary>
        [Description("评判中")]
        Judging = 0,
        /// <summary>
        /// 已同意
        /// </summary>
        [Description("已同意")]
        Agreed = 1,
        /// <summary>
        /// 不同意
        /// </summary>
        [Description("不同意")]
        UnAgreed =2,
    }
}
